Subject: Re: bug#11612: 24.1; Defaults create warning on startup

From: yary <[email-masked]>
Date: Sat, 2 Jun 2012 15:43:15 -0400

Oh, look at that, I do have a c:\.emacs file.

I did do a quick web search on this warning before sending the report,
and didn't get a description as good as the one you just emailed me.
Could the warning message "Setting HOME to C:\ by default is
deprecated" also include "Move .emacs out from C:\" or "See info ..."
to help us find the fix?

Thanks

-y

On Sat, Jun 2, 2012 at 3:18 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: yary <[email-masked]>
>> Date: Sat, 2 Jun 2012 14:58:06 -0400
>>
>> Using the Windows release candidate binaries, build 1 24.1,
>> running with emacs -Q, starts emacs with a *Warning* buffer:
>>
>> Warning (initialization): Setting HOME to C:\ by default is deprecated
>
> This warning means that you have a .emacs file in C:\, which causes
> Emacs to pretend that HOME is set to point to that directory.  This
> arrangement is deprecated, and will cease to be supported in a future
> version of Emacs.  Thus the warning.
>
> IOW, this is a feature, not a bug.
>
> I suggest to close this bug.
>
>> I believe previous emacs set HOME to %UserProfile%
>
> It will do that if you remove/rename C:\.emacs.
>
>> - regardless of the setting for emacs 24, its default should not
>> cause a warning, or at least the warning could a suggest remedy.
>
> This is a feature.